#include <bits/stdc++.h>

using namespace std;

int main()
{
    iostream::sync_with_stdio(false);

    int n;
    cin >> n;
    /*int m=2*n;
    vector<int> a(n),b(n);

    int mx=m,mn=1;

    for(int i=0; i<n; i++)
    {
        if(i%2==0)
        {
            a[i]=mn;
            mn++;
        }
        else
        {
            a[i]=mx;
            mx--;
        }
    }


    for(int i=0; i<n; i++)
    {
        if(i%2==0)
        {
            b[i]=mn;
            mn++;
        }
        else
        {
            b[i]=mx;
            mx--;
        }
    }


    for(auto c:a)cout << c << " ";
    cout << "\n";
    for(auto c:b)cout << c << " ";
    cout << "\n";*/

    if(n==1) cout << "1\n2";
    if(n==2)cout << "1 4\n2 3";
    if(n==3)cout << "1 6 2\n3 5 4";
    if(n==4)cout << "1 8 2 7\n3 6 4 5";
    if(n==5)cout << "1 10 2 9 3\n4 8 5 7 6";


    return 0;
}